# filter (properties)

## Name

filter (properties) — A surface filter that uses basic properties

## Synopsis

Content Model

    filter ::= (compact (filter)?, euler (filter)?,
                orbl (filter)?, realbdry (filter)?)

Attributes
See the general `filter` element documentation.

## Description

A property filter filters normal surfaces by examining basic topological properties such as orientability and Euler characteristic.

The specific constraints imposed by this filter are specified by its child XML elements. If this filter has several child elements, a surface must satisfy all of the corresponding constraints in order to be accepted by this filter.

More information about surface filters can be found in the general `filter` element documentation.

### Parents

The following elements contain `filter`: `packet` (surface filter).

### Children

The following elements occur in `filter` for a filter by basic properties: `compact` (filter), `euler` (filter), `orbl` (filter), `realbdry` (filter).